Package com.verisign.epp.serverstub.addlemail

## Class AddlEmailContactHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPContactHandler
  - - com.verisign.epp.serverstub.ContactHandler
    - - com.verisign.epp.serverstub.addlemail.AddlEmailContactHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class AddlEmailContactHandler
      extends ContactHandler

  The `AddlEmailContactHandler` class extends the `ContactHandler` class to implement the behavior defined in "draft-ietf-regext-epp-eai" for commands and responses that contain EAI addresses when the client does or does not support "draft-ietf-regext-epp-eai".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddlEmailContactHandler()` | Constructs an instance of `AddlEmailContactHandler`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEventResponse` | `doContactCreate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Contact Create Command is received.
    `EPPEventResponse` | `doContactInfo​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Contact Info Command is received.
    `EPPEventResponse` | `doContactUpdate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Contact Update Command is received.

    - ### Methods inherited from class com.verisign.epp.serverstub.ContactHandler

      `doContactCheck, doContactDelete, doContactTransfer, getDefaultInfoResponseWithAllElements, getMinimalInfoResponseWithAllElements, getPartialInfoResponseWithAllElements, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPContactHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddlEmailContactHandler

          public AddlEmailContactHandler()

      Constructs an instance of `AddlEmailContactHandler`

  - ### Method Detail

    - #### doContactCreate

          public EPPEventResponse doContactCreate​(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Contact Create Command is received. This method will key off a contact starting with the ID "AE-" to implement specific test logic.
      Overrides:
        `doContactCreate` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this handler
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doContactUpdate

          public EPPEventResponse doContactUpdate​(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Contact Update Command is received. This method will key off a contact starting with the ID "AE-" to implement specific test logic.
      Overrides:
        `doContactUpdate` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this handler
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doContactInfo

          public EPPEventResponse doContactInfo​(EPPEvent aEvent,
                                                java.lang.Object aData)

      Invoked when a Contact Info Command is received. This method will key off a contact starting with the ID "AE-" to implement specific test logic.
      Overrides:
        `doContactInfo` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this handler
      Returns:
        EPPEventResponse The response that should be sent back to the client.